Обход ограничений безопасности в OpenSAML

Дата публикации:
26.07.2011
Всего просмотров:
477
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:7.5/Temporal:5.5
CVE ID:
CVE-2011-1411
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenSAML 2.x
Уязвимые версии:OpenSAML версий до 2.4.3 с C библиотекой библиотеки Java версий до 2.5.1

Описание:
Уязвимость позволяет удаленному пользователю обойти ограничения безопасности на целевой системе.

Уязвимость существует из-за того, что библиотека некорректно проверяет определенные подписанные XML сообщения. Удаленный пользователь может путем атаки wrapping может обойти функционал проверки XML сообщений.

URL производителя: http://www.oracle.com/

Решение: Для устранения уязвимостей установите библиотеку C до версии 2.4.3.

Ссылки: http://shibboleth.internet2.edu/secadv/secadv_20110725.txt

или введите имя

CAPTCHA